<?php

include '../configuracao/conexao.php';
// Inclua a conexão com a base de dados e as funções aqui.

if ($_POST['acao']=="atualizar"){
$stmt = $mysqli->prepare("SELECT campo_nome,campo_tipo,campo_tipo_n FROM campo WHERE campo_tabela='".$_POST['tabela']."'");
$stmt->execute(); // Executa a query preparada.
$stmt->store_result();
$stmt->bind_result($nomecoluna,$tipocoluna,$comentariocoluna);
while ($stmt->fetch()){ 
$morfo=$_POST[$nomecoluna];
if (empty($sql)){
$sql="update ".$_POST['tabela']." set ".$nomecoluna."='".$_POST[$nomecoluna]."'";
$sql_1=$morfo;
}
else
{
$sql=$sql.",".$nomecoluna."='".$_POST[$nomecoluna]."'";
$sql_1=$sql_1."','".$morfo;
}
 }
$sql=$sql." where enumsistema='".$_POST["enumsistemaant"]."'";
$stmt = $mysqli->prepare($sql);

$stmt->execute(); // Executa a query preparada.

header( "refresh:0; url=index.php?tabela=".$_POST['tabela'] );
exit;
}
if ($_POST['acao']=="novo"){
$stmt = $mysqli->prepare("SELECT campo_nome FROM campo WHERE campo_tabela='".$_POST['tabela']."' and campo_nome<>'codigo';");
$stmt->execute(); // Executa a query preparada.
$stmt->store_result();
$stmt->bind_result($nomecoluna);

while ($stmt->fetch()){ 
$morfo=$_POST[$nomecoluna];
if (empty($sql)){
$sql="insert into  ".$_POST['tabela']."  (".$nomecoluna;
$sql_1=$morfo;
}
else
{
$sql=$sql.",".$nomecoluna;
$sql_1=$sql_1."','".$morfo;
}
?>
<?php }
$sql=$sql." ) VALUES('$sql_1')";

$stmt = $mysqli->prepare($sql);
$stmt->execute(); // Executa a query preparada.

header( "refresh:0; url=index.php?tabela=".$_POST['tabela'] );
}

if ($_POST['acao']=="apagar"){
$stmt = $mysqli->prepare("
delete from ".$_POST['tabela']." where 
enumsistema='".$_POST['enumsistema']."'");
$stmt->execute(); // Executa a query preparada.
header( "refresh:0; url=index.php?tabela=".$_POST['tabela'] );
}



?>





